curl --request POST \
--url https://api.hubapi.com/crm/v3/associations/{fromObjectType}/{toObjectType}/batch/read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"id": "37295"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"from": {
"id": "53628"
},
"to": [
{
"id": "12726",
"type": "contact_to_company"
},
{
"id": "61352",
"type": "contact_to_company"
}
]
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}This endpoint allows you to retrieve multiple associations between specified ‘from’ and ‘to’ object types in a single batch request.
curl --request POST \
--url https://api.hubapi.com/crm/v3/associations/{fromObjectType}/{toObjectType}/batch/read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"id": "37295"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"from": {
"id": "53628"
},
"to": [
{
"id": "12726",
"type": "contact_to_company"
},
{
"id": "61352",
"type": "contact_to_company"
}
]
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
Show child attributes
successful operation
The date and time when the batch operation was completed.
Show child attributes
The date and time when the batch operation started.
The current status of the batch operation, with possible values: PENDING, PROCESSING, CANCELED, COMPLETE.
CANCELED, COMPLETE, PENDING, PROCESSING Show child attributes
URLs linking to resources or documentation associated with the batch operation.
Show child attributes
The number of errors encountered during the batch operation.
The date and time when the batch request was made.
Was this page helpful?